#ifndef _VECTOR2_HPP_
#define _VECTOR2_HPP_

/*** SDL Header Files ***/
#include <SDL.h>   

/*** DLL Header File ***/
#include "dllExport.h"

namespace MathEngine {
	struct iVector2;

	struct EXPORT_FROM_MYDLL Vector2
	{
		Vector2( const float X = 0.0f, const float Y = 0.0f );

		Vector2( const SDL_Rect& copy );

		Vector2& operator=( const SDL_Rect& copy );

		Vector2( const iVector2& copy );

		Vector2& operator=( const iVector2& copy );

		float x;
		float y;
	};/// END STRUCT DEFINITION Vector2
}/// END NAMESPACE DEFINITION MathEngine
#endif/// END IFNDEF _VECTOR2_HPP_